#include "mex.h"
#include "matrix.h"

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, 
     const mxArray *prhs[]) {
    if (nrhs!=1) mexErrMsgTxt("One input argument required."); 
    
    plhs[0] = mxCreateNumericMatrix(1,1,mxUINT32_CLASS,mxREAL);
    unsigned long * out = (unsigned long *) mxGetData(plhs[0]);
    *out = (unsigned long) mxGetData(prhs[0]);
}
